Bug 74661 - Web Inspector: CodeGeneratorInspector.py: use generated types in method parameters
Summary: Web Inspector: CodeGeneratorInspector.py: use generated types in method param...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 72861
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-15 16:04 PST by Peter Rybin
Modified: 2011-12-18 06:55 PST (History)
11 users (show)

See Also:


Attachments
Patch (7.12 KB, patch)
2011-12-15 16:11 PST, Peter Rybin
no flags Details | Formatted Diff | Diff
Patch (7.12 KB, patch)
2011-12-15 16:17 PST, Peter Rybin
no flags Details | Formatted Diff | Diff
Sample of InspectorFrontend.h with new types annotated in comments for events. (128.85 KB, text/plain)
2011-12-16 13:27 PST, Peter Rybin
no flags Details
Patch (7.46 KB, patch)
2011-12-17 09:41 PST, Peter Rybin
no flags Details | Formatted Diff | Diff
Sample of InspectorFrontend.h with new types annotated in comments for events. (126.97 KB, text/plain)
2011-12-17 09:43 PST, Peter Rybin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Rybin 2011-12-15 16:04:42 PST
Re-implement CodeGeneratorInspector.py to set generated type to method parameters instead of generic InspectorObject.
Do it in annotation mode (i.e. in comments) so that client code has time to prepare.
Comment 1 Peter Rybin 2011-12-15 16:11:46 PST
Created attachment 119514 [details]
Patch
Comment 2 Peter Rybin 2011-12-15 16:17:52 PST
Created attachment 119516 [details]
Patch
Comment 3 Peter Rybin 2011-12-16 13:27:25 PST
Created attachment 119661 [details]
Sample of InspectorFrontend.h with new types annotated in comments for events.
Comment 4 Ilya Tikhonovsky 2011-12-17 01:11:47 PST
Comment on attachment 119516 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=119516&action=review

> Source/WebCore/inspector/CodeGeneratorInspector.py:665
> +                        output.append("        };\n\n")

wrong indent.

> Source/WebCore/inspector/CodeGeneratorInspector.py:1510
> +                parameter_list.append("/*%s*/ %s %s" % (param_type_binding.get_in_c_type_text(json_optional), c_type.get_text(), parameter_name))

I'd like to see the suggested types in the comment section only if they differ from the current one.
Comment 5 Peter Rybin 2011-12-17 09:40:03 PST
(In reply to comment #4)
> (From update of attachment 119516 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=119516&action=review
> 
> > Source/WebCore/inspector/CodeGeneratorInspector.py:665
> > +                        output.append("        };\n\n")
> 
> wrong indent.

Done

> 
> > Source/WebCore/inspector/CodeGeneratorInspector.py:1510
> > +                parameter_list.append("/*%s*/ %s %s" % (param_type_binding.get_in_c_type_text(json_optional), c_type.get_text(), parameter_name))
> 
> I'd like to see the suggested types in the comment section only if they differ from the current one.

Done
Comment 6 Peter Rybin 2011-12-17 09:41:56 PST
Created attachment 119727 [details]
Patch
Comment 7 Peter Rybin 2011-12-17 09:43:31 PST
Created attachment 119728 [details]
Sample of InspectorFrontend.h with new types annotated in comments for events.
Comment 8 Ilya Tikhonovsky 2011-12-17 10:54:31 PST
Comment on attachment 119727 [details]
Patch

lgtm
Comment 9 Ilya Tikhonovsky 2011-12-18 06:55:02 PST
Comment on attachment 119727 [details]
Patch

Clearing flags on attachment: 119727

Committed r103173: <http://trac.webkit.org/changeset/103173>
Comment 10 Ilya Tikhonovsky 2011-12-18 06:55:15 PST
All reviewed patches have been landed.  Closing bug.